include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBXML_INCLUDE_DIRS}
  ${LIBXSLT_INCLUDE_DIRS}
  ${READLINE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)

add_compile_options( ${ICU_CXXFLAGS} )


##### tqtnotfier (static)

tde_add_library( tqtnotfier STATIC_PIC AUTOMOC

  SOURCES
        xsldbgthread.cpp
        xsldbgnotifier.cpp
        xsldbgevent.cpp
        xsldbgdebuggerbase.cpp
        qtnotifier2.cpp
  LINK
     ${LIBXSLT_LIBRARIES}
     ${READLINE_LIBRARIES}
     ${CMAKE_THREAD_LIBS_INIT}
)
